import CONFIG from "@/config";

export default function useColumns() {
  const TableColumns = [
    {
      item: { key: "puOrgName", title: "采购组织" },
      attr: {},
    },
    { item: { key: "materialName", title: "物料" }, attr: {} },
    { item: { key: "materialCode", title: "物料编码" }, attr: {} },
    { item: { key: "materialClassifyName", title: "物料一级分类" }, attr: {} },
    { item: { key: "manufacturerName", title: "生产厂家名称" }, attr: {} },
    { item: { key: "model", title: "物料型号" }, attr: {} },
    { item: { key: "specification", title: "物料规格" }, attr: {} },
    {
      item: { key: "supplierName", title: "供应商名称" },
      attr: {},
    },
    { item: { key: "customerName", title: "客户" }, attr: {} },
    {
      item: { key: "taxPrice", title: "主含税单价" },
      attr: {
        is: "el-computed-input-v2",
        formatter: (prop) => {
          return (prop * 1).toFixed(CONFIG.precision);
        },
      },
    },
    { item: { key: "unitName", title: "主单位" }, attr: {} },
    { item: { key: "effectiveDate", title: "价格生效日期" }, attr: {} },
    { item: { key: "endDate", title: "价格失效日期" }, attr: {} },
    { item: { key: "buyerName", title: "采购员" }, attr: {} },
    { item: { key: "source", title: "来源单据" }, attr: {} },
    {
      item: { key: "convertRate", title: "换算率" },
      attr: {
        is: "el-computed-input-v2",
        formatter: (prop) => {
          return (prop * 1).toFixed(CONFIG.precision);
        },
      },
    },
    {
      item: { key: "status", title: "有效状态" },
      attr: { is: "el-dict-tag", dictName: "is_effective" },
    },
    {
      item: { key: "enableStatus", title: "启用状态" },
      attr: { is: "el-dict-tag", dictName: "is_effective" },
    },
    {
      item: { key: "materialStatus", title: "物料启用状态" },
      attr: { is: "el-dict-tag", dictName: "is_effective" },
    },
    {
      item: { key: "isDistribution", title: "配送价" },
      attr: { is: "el-dict-tag", dictName: "is_effective" },
    },
    {
      item: { key: "priceType", title: "价格类型" },
      attr: { is: "el-dict-tag", dictName: "sys_price_type" },
    },
    { item: { key: "expiryEarly", title: "效期预警" }, attr: {} },
    { item: { key: "priority", title: "含税/无税优先" }, attr: {} },
    { item: { key: "createByName", title: "创建人" }, attr: {} },
    { item: { key: "updateByName", title: "更新人名称" }, attr: {} },
  ].map(({ item, attr }) => ({
    attr,
    item: { ...item, hidden: true, fixed: false },
  }));
  return { TableColumns };
}
